with SDL.Video.Palettes;

package body Video.SDL2.Colors is

	function To_SDL (Color : Video.Colors.Color) return SDL.Video.Palettes.Colour is
	begin
		return (
			Red    => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.R)),
			Green  => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.G)),
			Blue   => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.B)),
			Alpha  => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.A)));
	end;


	function To_Pixel (
		Format : SDL.Video.Pixel_Formats.Pixel_Format_Access;
		Color  : Video.Colors.Color)
		return   Unsigned_32
	is
	begin
		return SDL.Video.Pixel_Formats.To_Pixel (
			Format => Format,
			Red    => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.R)),
			Green  => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.G)),
			Blue   => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.B)),
			Alpha  => SDL.Video.Palettes.Colour_Component (Video.Colors.To_8_Bit (Color.A)));
	end;

end Video.SDL2.Colors;
