with SDL.TTFs;
with SDL.Video.Palettes;
with Video.Texts;

package Video.SDL2.Surfaces.TTFs is

	type TTF_on_Surface (Target : access SDL_Surface'Class) is limited new Video.Texts.String_Writables.Writable with record
		Typeface   : SDL.TTFs.Fonts;
		Foreground : SDL.Video.Palettes.Colour;
	end record;

	overriding function Extent (
		Target : TTF_on_Surface;
		Text   : String)
		return   Texts.Text_Extent;

	overriding procedure Write (
		Target : in out TTF_on_Surface;
		A      : in     Integer_Geometry.Point;
		Text   : in     String);

end Video.SDL2.Surfaces.TTFs;
