--
-- Instantiations of Generic_Raster_Images with RGB types
--
with Video.Pixels.RGB;
use  Video.Pixels.RGB;

package Video.Images.Raster.RGB is

	type RGB_Raster_Image is limited interface and Raster_Image;

	package RGB565 is new Generic_Raster_Images (
		Pixel_Type => RGB565_Pixel,
		Array_Type => RGB565_Array,
		Parent     => RGB_Raster_Image);

	package RGB888 is new Generic_Raster_Images (
		Pixel_Type => RGB888_Pixel,
		Array_Type => RGB888_Array,
		Parent     => RGB_Raster_Image);

end Video.Images.Raster.RGB;
