with Video.Pixels.Generic_Renderers.Color;
with Video.Renderables;

package Video.Pixels.RGB.Renderers is

	package RGB565_Renderables is new Renderables.Paint_Renderables (RGB565_Pixel);
	package RGB565_Renderers is new Pixels.Generic_Renderers (
		RGB565_Pixel, RGB565_Array, RGB565_Renderables);
	package RGB565_Color_Renderers is new RGB565_Renderers.Color;

	package RGB888_Renderables is new Renderables.Paint_Renderables (RGB888_Pixel);
	package RGB888_Renderers is new Pixels.Generic_Renderers (
		RGB888_Pixel, RGB888_Array, RGB888_Renderables);

end Video.Pixels.RGB.Renderers;
