--
-- Base interface for rendering image (sprite) to image (renderable)
--
generic
	type Sprite (<>) is limited private;
package Video.Renderables.Generic_Sprite is
	type Sprite_Renderable is limited interface and Root_Renderable;

	procedure Paste (
		Target   : in out Sprite_Renderable;
		A        :        Integer_Geometry.Point;
		Source   :        Sprite) is abstract;

end Video.Renderables.Generic_Sprite;
