with SDL.Video.Textures;

with Video.Integer_Geometry;
with Video.Renderables.Generic_Sprite;
with Video.SDL2.Rectangles;

package Video.SDL2.Textures is

	type SDL_Texture is tagged limited record
		Data : SDL.Video.Textures.Texture;
	end record;

	function Bounding_Box (R : SDL_Texture) return Integer_Geometry.Box
	is (Rectangles.From_SDL (R.Data.Get_Size));

	package Texture_Renderables is new Renderables.Generic_Sprite (SDL_Texture);

end Video.SDL2.Textures;
